## onak 0.4.1-1

=== debian/changelog ===
onak (0.4.1-1) unstable; urgency=low

  * New upstream release
    * Fix onak-mail race condition. (Closes: #650557)
  * Drop HISTORY file in /usr/share/doc; it's already present as changelog.gz

 -- Jonathan McDowell <noodles@earth.li>  Tue, 24 Apr 2012 21:29:17 -0700

onak (0.4.0-1) unstable; urgency=low

  * Only seed empty database for if we're using default config
  * Use generic db dependencies rather than 4.8 versioned ones.
    (Closes: #621426)
  * Bump Debian Standards-Version to 3.9.2.0
  * Add ${perl:Depends} to dependencies
  * Add init.d file for keyd
  * Add logrotate config snippet

 -- Jonathan McDowell <noodles@earth.li>  Tue, 19 Apr 2011 21:59:28 -0700

onak (0.3.8-1) unstable; urgency=low

  * New upstream release
    * Correct formatting of some places we output a keyid. (Closes: #540196)
    * Don't add a key to the stats hash if it doesn't have any sigs.
      (Closes: #542187)
  * Add Homepage and Vcs-Bzr fields to Debian control file
  * Bump debhelper compat level to 7
  * Bump Debian Standards-Version to 3.8.3.0
  * Change to build against libdb4.8

 -- Jonathan McDowell <noodles@earth.li>  Tue, 29 Dec 2009 16:42:23 +0000

onak (0.3.7-1) unstable; urgency=low

  * New upstream release
    * Fix escaping of : in HKP output. (Closes: #487284)
    * Build with libdb4.7 (Closes: #520117)

 -- Jonathan McDowell <noodles@earth.li>  Tue, 02 Jun 2009 15:51:09 +0100

onak (0.3.6-1) unstable; urgency=low

  * New upstream release
    * Fix lookup display for more than one photo id. (Closes: #467020)
    * Build with libdb4.6 (Closes: #421951)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 07 Jun 2008 13:29:01 +0100

onak (0.3.5-1) unstable; urgency=low

  * New upstream release
    * Fixes stupid db4 backend mistake (Closes: #460575)

 -- Jonathan McDowell <noodles@earth.li>  Wed, 16 Jan 2008 21:30:40 +0000

onak (0.3.4-1) unstable; urgency=low

  * New upstream release
    * Fix config passing to backends (Closes: #413762)
  * Lintian cleanups
    * Add #DEBHELPER# tokens to postinst/postrm.
    * Update FSF address in copyright file.
    * Remove bashism from postrm.
    * Update Standards-Version to 3.7.3.0 (no changes)
  * Update Apache recommendation to Apache2

 -- Jonathan McDowell <noodles@earth.li>  Sat, 29 Dec 2007 10:50:33 +0000

onak (0.3.3-1) unstable; urgency=low

  * New upstream release
    * Check signature creation times for merging (Closes: #410796)
    * Don't assume direct signature is revocation (Closes: #334715)
    * Gracefully fail when we can't open a DB4 DB (Closes: #370440)
  * Cleanup logfile upon package purge (Closes: #338516)
  * Add suggests on db4.2-utils (Closes: #317459)
  * Acknowledge NMU (Closes: #408270)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 04 Mar 2007 22:55:54 +0000

onak (0.3.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added missing dep on adduser (Closes: #408270)
  * Urgency high due RCness of the bug

 -- Bastian Venthur <venthur@debian.org>  Thu,  1 Feb 2007 10:38:37 +0100

onak (0.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Jonathan McDowell <noodles@earth.li>  Fri, 25 Mar 2005 11:17:44 +0000

onak (0.3.1-1) unstable; urgency=low

  * New upstream release
    - Add onak-mail.pl man page (Closes: #276879)
    - Add links to HTML index output. (Closes: #275227)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 23 Oct 2004 18:01:39 +0100

onak (0.3.0-1) unstable; urgency=low

  * Initial Release. (closes: #254425)

 -- Ross Burton <ross@debian.org>  Thu, 17 Jun 2004 11:59:00 +0100
