=== debian/control ===
Source: onak
Section: net
Priority: optional
Maintainer: Jonathan McDowell <noodles@earth.li>
Uploaders: Ross Burton <ross@debian.org>
Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev
Standards-Version: 3.9.2.0
Homepage: http://www.earth.li/projectpurple/progs/onak.html
Vcs-Bzr: http://www.earth.li/~noodles/bzr/onak/mainline

Package: onak
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}, adduser
Recommends: apache2 | httpd
Suggests: db-util
Description: OpenPGP Key Server
 onak is an OpenPGP compatible keyserver which supports multiple subkeys,
 photo ids and path finding between keys. It can provide an HKP
 compatible interface for use with the --keyserver option of gnupg as
 well as including a command line tool for querying the key database.
