=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Uploaders: Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev
-Standards-Version: 3.9.2.0
+Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev
+Standards-Version: 3.9.4.0
 Homepage: http://www.earth.li/projectpurple/progs/onak.html
-Vcs-Bzr: http://www.earth.li/~noodles/bzr/onak/mainline
+Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary
+Vcs-Git: git://the.earth.li/onak.git
 
 Package: onak
 Architecture: any
