=== debian/watch ===
version=2
http://www.earth.li/projectpurple/files/        onak-(.*).tar.gz        debian  uupdate
