## onak 0.4.5

=== debian/changelog ===
onak (0.4.5-2+devuan1.1) unstable; urgency=medium

  * Removing systemd dependencies
  * fixing upstream tag.

 -- Lydia Sevelt <LydiaSevelt@gmail.com>  Sat, 29 Apr 2017 16:46:22 +0000

onak (0.4.5-1) unstable; urgency=low

  * New upstream release
    * Fix detection of systemd support with new versions of systemd.

 -- Jonathan McDowell <noodles@earth.li>  Fri, 03 Oct 2014 17:30:00 +0100

onak (0.4.4-1) unstable; urgency=low

  * New upstream release
    * Fixes key lookups using onak CLI tool on 32 bit platforms.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 30 Sep 2014 22:36:34 +0100

onak (0.4.3-1) unstable; urgency=low

  * New upstream release
  * Fix issue with pre-seeding key database on install.
  * Add systemd service files using new systemd socket activation support.
  * Bump Debian Standards-Version to 3.9.6.0
  * Switch to debhelper.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 30 Sep 2014 10:09:28 +0100
