=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: onak
 Section: net
 Priority: optional
-Maintainer: Jonathan McDowell <noodles@earth.li>
-Uploaders: Ross Burton <ross@debian.org>
-Build-Depends: debhelper (>= 7), cdbs, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev
-Standards-Version: 3.9.4.0
+Maintainer: Lydia Sevelt <LydiaSevelt@gmail.com>
+Build-Depends: debhelper (>= 9), dh-autoreconf, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev 
+Standards-Version: 3.9.6.0
 Homepage: http://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: http://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: git://the.earth.li/onak.git
