## onak 0.4.6

=== debian/changelog ===
onak (0.4.6-1) unstable; urgency=low

  * New upstream release
    * Re-order linking for backend plugins to cope with ld --as-needed.
      (Closes: #772433)
    * Update debian/watch file to deal with non-gz compressed tarballs.

 -- Jonathan McDowell <noodles@earth.li>  Tue, 25 Aug 2015 16:18:12 +0100

onak (0.4.5-2) unstable; urgency=low

  * Don't build-depend on systemd dev packages for non-Linux architectures.
    Thanks to Pino Toscano for the patch. (Closes: #763924)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 05 Oct 2014 14:41:08 +0100
