=== debian/rules ===
#!/usr/bin/make -f

DEB_CONFIGURE_EXTRA_FLAGS += --enable-backend=dynamic --runstatedir=/run

CFLAGS += -std=gnu99

%:
	dh "$@" --with autoreconf,systemd

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable debian/onak.service
	dh_systemd_enable --no-enable debian/onak.socket
