## onak 0.5.0

=== debian/changelog ===
onak (0.5.0-1) unstable; urgency=low

  * Remove Ross Burton from Uploaders.
  * Bump Debian Standards-Version to 3.9.8.0
  * Fix up systemd control file to allow non-socket activation.
  * Update Vcs URLs to use secure variants.
  * Add onak to Provides: in init script rather than just pgp-keyserver.
  * Add all hardening options (in particular for bindnow + pie).

 -- Jonathan McDowell <noodles@earth.li>  Sun, 28 Aug 2016 16:16:10 +0100
