=== debian/changelog ===
onak (0.6.1-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 10
  * Set Rules-Requires-Root to no
  * Cleanup postinst to avoid recursive chown of database
  * Add dependency on pkg-config
  * Remove --with=systemd from dh call.
  * Rename debian/NEWS.Debian to debian/NEWS
  * Bump Debian Standards-Version to 4.5.0

 -- Jonathan McDowell <noodles@earth.li>  Sun, 13 Sep 2020 12:11:12 +0100
