=== debian/control ===
--- 
+++ 
@@ -2,11 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 9), dh-autoreconf, dh-systemd, libdb-dev, nettle-dev, libcurl4-gnutls-dev | libcurl-dev, libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any]
-Standards-Version: 3.9.8.0
+Build-Depends: cmake,
+	debhelper (>= 10),
+	libcurl4-gnutls-dev | libcurl-dev,
+	libdb-dev,
+	libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any],
+	nettle-dev,
+	pkg-config
+Standards-Version: 4.5.0
 Homepage: https://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: https://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: https://the.earth.li/git/onak.git
+Rules-Requires-Root: no
 
 Package: onak
 Architecture: any
