=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CFLAGS += -std=gnu99

%:
	dh "$@"

override_dh_installinit:
	dh_installinit --no-start

override_dh_systemd_enable:
	dh_systemd_enable --no-enable debian/onak.service
	dh_systemd_enable --no-enable debian/onak.socket
