=== keydb/CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,11 @@
 set(BACKENDS "file" "fs" "keyring" "stacked")
 
 # DB4 backend (add check for existence)
-LIST(APPEND BACKENDS db4)
-set(BACKEND_db4_LIBS db-5.3)
+find_package(BDB)
+if (BDB_FOUND)
+	LIST(APPEND BACKENDS db4)
+	set(BACKEND_db4_LIBS db)
+endif()
 
 # HKP backend - needs libcurl
 pkg_check_modules(CURL libcurl)
@@ -34,9 +37,7 @@
 	target_compile_definitions(keydctl PRIVATE
 		CONFIGDIR="${CMAKE_INSTALL_FULL_SYSCONFDIR}")
 
-	pkg_check_modules(SYSTEMD libsystemd)
 	if (SYSTEMD_FOUND)
-		set(HAVE_SYSTEMD true)
 		target_include_directories(keyd SYSTEM PUBLIC
 			${SYSTEMD_INCLUDE_DIRS})
 		target_link_libraries(keyd ${SYSTEMD_LIBRARIES})
