=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Jonathan McDowell <noodles@earth.li>
 Build-Depends: cmake,
-	debhelper (>= 10),
+	debhelper-compat (= 13),
 	libcurl4-gnutls-dev | libcurl-dev,
 	libdb-dev,
 	libsystemd-dev (>= 214) [linux-any] | libsystemd-daemon-dev [linux-any],
 	nettle-dev,
 	pkg-config
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://www.earth.li/projectpurple/progs/onak.html
 Vcs-Browser: https://the.earth.li/gitweb/?p=onak.git;a=summary
 Vcs-Git: https://the.earth.li/git/onak.git
