=== debian/watch ===
version=3
http://www.earth.li/projectpurple/files/        onak-(.*).tar.(?:gz|bz2|xz)
