=== debian/changelog ===
onak (0.6.4-1) unstable; urgency=low

  * New upstream release
  * Cleanup database files on package purge (Closes: #1053323)
  * Update debian/watch to v4 + HTTPS
  * Drop debian/NEWS
  * Add skeleton autopkgtests
  * Update pkg-config -> pkgconf
  * Switch debian/copyright to DEP-5
  * Bump Debian Standards-Version to 4.7.2
  * Move most build deps to Build-Depend-Arch

 -- Jonathan McDowell <noodles@earth.li>  Tue, 15 Jul 2025 10:21:10 +0100
