=== debian/watch ===
version=4
https://www.earth.li/projectpurple/files/        onak-(.*).tar.(?:gz|bz2|xz)
